"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const multipipe = require("multipipe");
const csvStreamify = require("csv-streamify");
const mapping_stream_1 = require("./mapping-stream");
function csvToJsClassStreamFactory(mapping, clazz) {
    const csvParseStream = csvStreamify({
        objectMode: true,
        columns: true
    });
    const jsonMappingStream = new mapping_stream_1.MappingStream({
        mapping: mapping,
        clazz: clazz,
        objectMode: true
    });
    return multipipe(csvParseStream, jsonMappingStream);
}
exports.csvToJsClassStreamFactory = csvToJsClassStreamFactory;
